std::experimental::filesystem::file_status(3)

NAME
std::experimental::filesystem::file_status - std::experimental::filesystem::file_status

Synopsis
   Defined in header <experimental/filesystem>
   class file_status; (filesystem TS)
   Stores information about the type and permissions of a file.

Member functions
   constructor constructs a file_status object
                 (public member function)
   operator= assigns contents
                 (public member function)
   destructor implicit destructor
                 (public member function)
   type gets or sets the type of the file
                 (public member function)
   permissions gets or sets the permissions of the file
                 (public member function)